## gate.gui
Class MainFrame.ProgressBarUpdater

    java.lang.Object
      |
      +--gate.gui.MainFrame.ProgressBarUpdater

All Implemented Interfaces:
  Runnable

Enclosing class:
  MainFrame

class MainFrame.ProgressBarUpdater
extends Object
implements Runnable

Model for the tree representing the resources loaded in the system

Field Summary
`(package private) int` `value`

Constructor Summary
`(package private)` `MainFrame.ProgressBarUpdater(int newValue)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### value

    int value

Constructor Detail

### MainFrame.ProgressBarUpdater

    MainFrame.ProgressBarUpdater(int newValue)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`